Index: doc/gwrappers.dox
===================================================================
--- doc/gwrappers.dox	(revision 1172)
+++ doc/gwrappers.dox	(revision 1252)
@@ -6,18 +6,33 @@
    The main parts of LEMON are the different graph structures, 
    generic graph algorithms, graph concepts which couple these, and 
-   graph wrappers. While the previous ones are more or less clear, the 
-   latter notion needs further explanation.
+   graph wrappers. While the previous notions are more or less clear, the 
+   latter one needs further explanation. 
    Graph wrappers are graph classes which serve for considering graph 
-   structures in different ways. A short example makes the notion much 
+   structures in different ways. 
+
+   A short example makes this much 
    clearer. 
    Suppose that we have an instance \c g of a directed graph
-   type say \c ListGraph and an algorithm 
+   type say ListGraph and an algorithm 
    \code template<typename Graph> int algorithm(const Graph&); \endcode 
-   is needed to run on the reversely oriented graph. 
+   is needed to run on the reversed oriented graph. 
    It may be expensive (in time or in memory usage) to copy 
-   \c g with the reverse orientation. 
-   Thus, a wrapper class
-   \code template<typename Graph> class RevGraphWrapper; \endcode is used. 
-   The code looks as follows
+   \c g with the reversed orientation. 
+   In this case, a wrapper class is used, which 
+   (according to LEMON graph concepts) works as a graph. 
+   The wrapper uses 
+   the original graph structure and graph operations when methods of the 
+   reversed oriented graph are called. 
+   This means that the wrapper have minor memory usage, 
+   and do not perform sophisticated algorithmic actions. 
+   The purpose of it is to give a tool for the cases when 
+   a graph have to be used in a specific alteration. 
+   If this alteration is obtained by a usual construction 
+   like filtering the edge-set or considering a new orientation, then 
+   a wrapper is worthwhile to use. 
+   To come back to the reversed oriented graph, in this situation 
+   \code template<typename Graph> class RevGraphWrapper; \endcode 
+   template class can be used. 
+   The code looks as follows 
    \code
    ListGraph g;
@@ -26,28 +41,32 @@
    \endcode
    After running the algorithm, the original graph \c g 
-   remains untouched. Thus the graph wrapper used above is to consider the 
-   original graph with reverse orientation. 
+   is untouched. 
    This techniques gives rise to an elegant code, and 
    based on stable graph wrappers, complex algorithms can be 
    implemented easily. 
+
    In flow, circulation and bipartite matching problems, the residual 
    graph is of particular importance. Combining a wrapper implementing 
    this, shortest path algorithms and minimum mean cycle algorithms, 
    a range of weighted and cardinality optimization algorithms can be 
-   obtained. For lack of space, for other examples, 
-   the interested user is referred to the detailed documentation of graph 
-   wrappers. 
+   obtained. 
+   For other examples, 
+   the interested user is referred to the detailed documentation of 
+   particular wrappers. 
+
    The behavior of graph wrappers can be very different. Some of them keep 
    capabilities of the original graph while in other cases this would be 
-   meaningless. This means that the concepts that they are a model of depend 
+   meaningless. This means that the concepts that they are models of depend 
    on the graph wrapper, and the wrapped graph(s). 
    If an edge of \c rgw is deleted, this is carried out by 
-   deleting the corresponding edge of \c g. But for a residual 
+   deleting the corresponding edge of \c g, thus the wrapper modifies the 
+   original graph. 
+   But for a residual 
    graph, this operation has no sense. 
-   Let we stand one more example here to simplify your work. 
-   wrapper class
-   \code template<typename Graph> class RevGraphWrapper; \endcode 
-   has constructor 
-   <tt> RevGraphWrapper(Graph& _g)</tt>. 
+   Let us stand one more example here to simplify your work. 
+   RevGraphWrapper has constructor 
+   \code 
+   RevGraphWrapper(Graph& _g);
+   \endcode
    This means that in a situation, 
    when a <tt> const ListGraph& </tt> reference to a graph is given, 
